Failed building wheel for scikit-image

  Running setup.py clean for scikit-image

Failed to build scikit-image

Installing collected packages: scikit-image

  Running setup.py install for scikit-image ... error


.....


compiling C sources

    error: Microsoft Visual C++ 14.0 is required. Get it with "Microsoft Visual C++ Build Tools": http://landinghub.visualstudio.com/visual-cpp-build-tools





######## Solution


http://landinghub.visualstudio.com/visual-cpp-build-tools



다운받은 후, 설치합니다.




그리고 다시 설치..


Collecting scikit-image

  Using cached scikit-image-0.13.1.tar.gz

Requirement already satisfied: six>=1.7.3 in c:\users\sosal\envs\faceswap\lib\site-packages (from scikit-image)

Requirement already satisfied: networkx>=1.8 in c:\users\sosal\envs\faceswap\lib\site-packages (from scikit-image)

Requirement already satisfied: pillow>=2.1.0 in c:\users\sosal\envs\faceswap\lib\site-packages (from scikit-image)

Requirement already satisfied: PyWavelets>=0.4.0 in c:\users\sosal\envs\faceswap\lib\site-packages (from scikit-image)

Requirement already satisfied: decorator>=4.1.0 in c:\users\sosal\envs\faceswap\lib\site-packages (from networkx>=1.8->scikit-image)

Requirement already satisfied: numpy>=1.9.1 in c:\users\sosal\envs\faceswap\lib\site-packages (from PyWavelets>=0.4.0->scikit-image)

Building wheels for collected packages: scikit-image

  Running setup.py bdist_wheel for scikit-image ... done

  Stored in directory: C:\Users\sosal\AppData\Local\pip\Cache\wheels\ab\20\59\0a6f3c17bc7a6685d59fde854d7991b5b6c46b2918ff693d07

Successfully built scikit-image

Installing collected packages: scikit-image

Successfully installed scikit-image-0.13.1



잘 됩니다~!


Posted by sosal sosal

댓글을 달아 주세요